curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-amazon-product \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asin": "B0BSHF7WHW"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-amazon-product"
payload = { "asin": "B0BSHF7WHW" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({asin: 'B0BSHF7WHW'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-amazon-product', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "amazon_product",
"asin": "B004YAVF8I",
"domain": "amazon.com",
"human": "# Amazon product\n\n- **ASIN:** B004YAVF8I\n- **Domain:** amazon.com\n- **Proxy traffic:** 674.4 KB\n- **Title:** Logitech M185 Compact Ambidextrous 2.4 GHz Wireless Mouse - Swift Grey\n- **Price:** $14.9\n- **Rating:** 4.4 (45164 reviews)\n- **Availability:** In Stock",
"machine": {
"product": {
"id": "B004YAVF8I",
"title": "Logitech M185 Compact Ambidextrous 2.4 GHz Wireless Mouse - Swift Grey",
"brand": null,
"byline": null,
"price": 14.9,
"currency": "$",
"list_price": 17.99,
"image": "https://m.media-amazon.com/images/I/51WN5aXZWIL.jpg",
"images": [
"https://m.media-amazon.com/images/I/31U-r5U5hoL.jpg",
"https://m.media-amazon.com/images/I/4131CzsV8vL.jpg"
],
"rating": 4.4,
"review_count": 45164,
"availability": "In Stock",
"is_in_stock": true,
"features": [
"Compact Mouse: With a comfortable and contoured shape, this Logitech ambidextrous wireless mouse feels great in either right or left hand and is far superior to a touchpad",
"Durable and Reliable: This USB wireless mouse features a line-by-line scroll wheel, up to 1 year of battery life (2) thanks to a smart sleep mode function, and comes with the included AA battery"
],
"details": {
"Connectivity Technology": "USB",
"Additional Features": "Wireless",
"Movement Detection": "Optical",
"Button Quantity": "1",
"Hand Orientation": "Ambidextrous",
"Compatible Devices": "Personal Computer",
"Operating System": "mac os x",
"Battery Average Life": "12 months",
"Number of Batteries": "1 AA batteries required. (included)",
"Hardware Platform": "Mac, PC",
"Power Source": "Battery Powered",
"Mouse Maximum Sensitivity": "1000 dots_per_inch",
"Minimum Required Operating System Version": "ChromeOS 137, Mac OS 13 Ventura, Windows 11",
"Range": "feet",
"Color": "Swift Grey",
"Style Name": "USB Receiver",
"Enclosure Material": "Metal",
"Brand": "Logitech",
"Model Name": "910-002225",
"Antenna Location": "Personal",
"Model Number": "910-002225",
"Included Components": "Computer Peripherals^Mice^Computer Mice^",
"Manufacturer": "Logitech, Inc",
"UPC": "097855112705 097855074126",
"Global Trade Identification Number": "00097855074126, 00097855112705",
"Item Type Name": "Logitech Wireless Mouse M185 (910-002225)",
"Mfr Part Number": "910-002225",
"Warranty Description": "3 year limited",
"Best Sellers Rank": "#1 in Computer Mice",
"ASIN": "B004YAVF8I",
"Customer Reviews": "4.4 out of 5 stars (45,164 ratings)",
"Item Weight": "30 g",
"Item Dimensions L x W": "1.54\"L x 3.89\"W",
"Unit Count": "1 Count",
"Special Feature": "Wireless",
"Movement Detection Technology": "Optical"
},
"breadcrumbs": [
"Electronics",
"Computers & Accessories"
],
"category": "Mice",
"seller": {
"id": null,
"name": "Amazon Resale"
},
"ships_from": "Amazon.com",
"sold_by": "Amazon.com",
"variations": [
{
"asin": "B004YAVF8I",
"name": null
},
{
"asin": "B0G4S2NJ31",
"name": null
}
]
},
"proxy_traffic_bytes": 690578
},
"total_points": 5
}Amazon product
Get full Amazon product details by ASIN: title, brand, price, images, rating, features, and seller. Flat 5 points per successful run.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
ASIN. e.g. B0BSHF7WHW
Domain. Options: amazon.com = amazon.com, amazon.co.uk = amazon.co.uk, amazon.de = amazon.de, amazon.fr = amazon.fr, amazon.it = amazon.it, amazon.es = amazon.es, amazon.ca = amazon.ca, amazon.co.jp = amazon.co.jp, amazon.com.mx = amazon.com.mx, amazon.com.br = amazon.com.br, amazon.in = amazon.in, amazon.com.au = amazon.com.au, amazon.nl = amazon.nl, amazon.se = amazon.se, amazon.pl = amazon.pl, amazon.com.tr = amazon.com.tr, amazon.ae = amazon.ae, amazon.sa = amazon.sa, amazon.sg = amazon.sg
amazon.com, amazon.co.uk, amazon.de, amazon.fr, amazon.it, amazon.es, amazon.ca, amazon.co.jp, amazon.com.mx, amazon.com.br, amazon.in, amazon.com.au, amazon.nl, amazon.se, amazon.pl, amazon.com.tr, amazon.ae, amazon.sa, amazon.sg Response
Run completed.